-1

I cannot install RS&GIS Plugin. I get the error:

Couldn't load plugin 'NITK_RS-GIS_17' due to an error when calling its classFactory() method 

ModuleNotFoundError: No module named 'gdal' 
Traceback (most recent call last):
  File "C:\PROGRA~1/QGIS32~1.0/apps/qgis/./python\qgis\utils.py", line 335, in _startPlugin
    plugins[packageName] = package.classFactory(iface)
  File "C:\Users/ASUS/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\NITK_RS-GIS_17\__init__.py", line 34, in classFactory
    from .RSGIS_M import RSGIS
  File "C:\Users/ASUS/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\ee_plugin\__init__.py", line 32, in __wrapping_ee_import__
    _module_ = __builtin_import__(name, *args, **kwargs)
  File "C:\PROGRA~1/QGIS32~1.0/apps/qgis/./python\qgis\utils.py", line 799, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
  File "C:\Users/ASUS/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\NITK_RS-GIS_17\RSGIS_M.py", line 57, in 
    import gdal
  File "C:\Users/ASUS/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\ee_plugin\__init__.py", line 32, in __wrapping_ee_import__
    _module_ = __builtin_import__(name, *args, **kwargs)
  File "C:\PROGRA~1/QGIS32~1.0/apps/qgis/./python\qgis\utils.py", line 799, in _import
    mod = _builtin_import(name, globals, locals, fromlist, level)
ModuleNotFoundError: No module named 'gdal'


Python version: 3.9.5 (tags/v3.9.5:0a7dcbd, May  3 2021, 17:27:52) [MSC v.1928 64 bit (AMD64)] 
QGIS version: 3.20.0-Odense Odense, decaadbb31 

Python Path:
C:/PROGRA~1/QGIS32~1.0/apps/qgis/./python
C:/Users/ASUS/AppData/Roaming/QGIS/QGIS3\profiles\default/python
C:/Users/ASUS/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins
C:/PROGRA~1/QGIS32~1.0/apps/qgis/./python/plugins
C:\Program Files\QGIS 3.20.0\bin\python39.zip
C:\PROGRA~1\QGIS32~1.0\apps\Python39\DLLs
C:\PROGRA~1\QGIS32~1.0\apps\Python39\lib
C:\Program Files\QGIS 3.20.0\bin
C:\Users\ASUS\AppData\Roaming\Python\Python39\site-packages
C:\PROGRA~1\QGIS32~1.0\apps\Python39
C:\PROGRA~1\QGIS32~1.0\apps\Python39\lib\site-packages
C:\PROGRA~1\QGIS32~1.0\apps\Python39\lib\site-packages\win32
C:\PROGRA~1\QGIS32~1.0\apps\Python39\lib\site-packages\win32\lib
C:\PROGRA~1\QGIS32~1.0\apps\Python39\lib\site-packages\Pythonwin
C:/Users/ASUS/AppData/Roaming/QGIS/QGIS3\profiles\default/python
C:\Users\ASUS\AppData\Local\acatama\python39
C:\Users\ASUS\AppData\Local\acatama\python39\lib\site-packages
C:\Users\ASUS\AppData\Roaming\QGIS\QGIS3\profiles\default\python\plugins\ee_plugin\extlibs_windows
C:\Users/ASUS/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\qgis2web
C:\Users\ASUS\AppData\Roaming\QGIS\QGIS3\profiles\default\python\plugins

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.